## org.apache.fop.datatypes
Class KeepValue

    java.lang.Object
      |
      +--org.apache.fop.datatypes.KeepValue

public class KeepValue
extends java.lang.Object

Keep Value Stores the different types of keeps in a single convenient format.

Field Summary
`static java.lang.String` `KEEP_WITH_ALWAYS`
`static java.lang.String` `KEEP_WITH_AUTO`
`static java.lang.String` `KEEP_WITH_VALUE`

Constructor Summary
`KeepValue(java.lang.String type, int val)`

Method Summary
`java.lang.String` `getType()`
`int` `getValue()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### KEEP_WITH_ALWAYS

    public static final java.lang.String KEEP_WITH_ALWAYS

### KEEP_WITH_AUTO

    public static final java.lang.String KEEP_WITH_AUTO

### KEEP_WITH_VALUE

    public static final java.lang.String KEEP_WITH_VALUE

Constructor Detail

### KeepValue

    public KeepValue(java.lang.String type,
                     int val)

Method Detail

### getValue

    public int getValue()

### getType

    public java.lang.String getType()

Copyright © 1999-2001 Apache Software Foundation. All Rights Reserved.